| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::StatusSpec Struct Reference
Types and constants » Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

uint | type
bool | maySetOnSelf
bool | exclusive
StringStringMap | parameterTypes

## Detailed Description

Structure type generated from the specification.

## Member Data Documentation

## § type

uint Tp::StatusSpec::type

## § maySetOnSelf

bool Tp::StatusSpec::maySetOnSelf

## § exclusive

bool Tp::StatusSpec::exclusive

## § parameterTypes

StringStringMap Tp::StatusSpec::parameterTypes